Bug 41958 - Xircom PCMCIA combo card not recognized
Xircom PCMCIA combo card not recognized
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-23 09:39 EDT by Igor
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-31 07:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor 2001-05-23 09:39:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
My setup is:
DEC HiNote Ultra 2000 GTX 5266M with built-in "Xircom 10/100 Network and 
56K Modem PC Card" and two external PCMCIA slots.

How reproducible:
Always

Steps to Reproduce:
1.Start installation from CD or PCMCIA floppy
2.
3.
	

Actual Results:  /var/log/messages:
...kernel: PCI: Device 00:08.0 not available because of resource collisions

screen Alt+F3:
in startPcmcia()
found cardbus pciadapter
need to load yenta_socket
going to insmod pcmcia_core.o (path is NULL)
failed to load pcmcia_core -- ask for pcmciadd
read rhpcmcia

going to insmod pcmcia_core.o(path is NULL)
going to insmod yenta_socket.o(path is NULL)
going to insmod ds.o(path is NULL)
cardmgr running as pid 31
cardmgr return 0x0
probing buses
finished bus probing
found suggestion of yenta_socket
found suggestion of yenta_socket
found nothing

screen Alt+F4:
<6>Linux PCMCIA Card Services 3.1.22
<6>options: [pci] [cardbus]
<6>PCI: Guessed IRQ 9 for device 00:07.0
<6>PCI: Guessed IRQ 10 for device 00:07.1
<4>Yenta IRQ list 0898, PCI irq 9
<4>Socket status: 30000006
<4>Yenta IRQ list 0898, PCI irq 10
<4>Socket status: 30000006
<6>cs: IO port probe 0x0c00-0x0cff: clean
<6>cs: IO port probe 0x0100-0x04ff: excluding 0x150-0x157 0x200-0x207 
0x220-0x22f 0x330-0x337 0x378-0x37f 0x388-0x38f 0x3e0-0x3ef
<6>cs: IO port probe 0x0a00-0x0aff: clean
...<30>cardmgr[31]: starting, version is 3.1.23
...<30>cardmgr[31]: watching 2 sockets
...<30>cardmgr[31]: Card Services release does not match
...<30>cardmgr[31]: could not open /var/run/cardmgrpid: %m
...<30>cardmgr[31]: fopen (stabfile) failed: %m
...<30>cardmgr[31]: exiting


Additional info:
Comment 1 Arjan van de Ven 2001-05-23 09:51:52 EDT
...<30>cardmgr[31]: watching 2 sockets
 ...<30>cardmgr[31]: Card Services release does not match
 ...<30>cardmgr[31]: could not open /var/run/cardmgrpid: %m
 ...<30>cardmgr[31]: fopen (stabfile) failed: %m
 ...<30>cardmgr[31]: exiting



This is an installer bug I think
Comment 2 Brent Fox 2001-06-12 23:51:21 EDT
I don't think this is an installer bug.  Seems more like a driver bug.  I could
be wrong, though.  Maybe it's a kudzu problem, but almost surely not an
installer bug.
Comment 3 Arjan van de Ven 2001-06-13 04:55:29 EDT
Except that anaconda has the wrong cardmgr version for the kernel
Comment 4 Brent Fox 2001-06-13 10:54:30 EDT
You're right.  It's in the loader.
Comment 5 Brent Fox 2001-08-08 15:42:26 EDT
The Xircom card works in the latest internal build.
Comment 6 Igor 2001-10-31 06:47:29 EST
RH 7.2 not recognize too.
HiNote has two PCMCIA bridges.
First detected bridge (external slots) is TI 1131. Module is yenta_socket.
Second not detected bridge (internal slots) is Cirrus PD672x. Module is i82365.
http://inauspicious.org/hinote/.
Comment 7 Brent Fox 2001-11-08 14:32:06 EST
We don't have the hardware necessary to reproduce this bug.  The PCMCIA Xircom's
that we have seem to work, but we don't have any hardware with an internal
Xircom.  I will reopen this bug report if we can get the hardware necessary to
reproduce this behavior.

Note You need to log in before you can comment on or make changes to this bug.